# $EPIC: loadinfo,v 1.4 2003/12/08 06:12:48 brian Exp $
Synopsis:
   $loadinfo()

Technical:
   * If the loadinfo function is called when the LOAD command is not
     currently executing, the literal string "-1" is returned.
   * Otherwise, the loadinfo function returns a three-word list
     where the first word is the line number in the file being loaded,
     the second word is the name of the file being loaded, and the third
     word is "pf" or "std" depending on the loader that was used.

Practical:
   This could be used to reload scripts that were not loaded with the
   correct loader.

Returns:
   During a /LOAD, the line number and filename of the file being loaded
   and "pf" if the script was loaded with /LOAD -pf or "std" if loaded
   with the standard loader, or -1 if called when no file is currently
   being loaded.

Examples:
   To make sure that a script is loaded with the pre-formatted loader,
   put the following at the top of the file:
      if (word(2 $loadinfo()) != [pf]) {
          load -pf $word(1 $loadinfo())
          return
      }

See Also:
   load(5)

